ImageLoaderFactoryRaw
Date: 2016-04-28

org.apache.xmlgraphics.image.loader.impl

## Class ImageLoaderFactoryRaw

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory
  - - org.apache.xmlgraphics.image.loader.impl.ImageLoaderFactoryRaw

- All Implemented Interfaces:
    ImageLoaderFactory

      public class ImageLoaderFactoryRaw
      extends AbstractImageLoaderFactory

  Factory class for the ImageLoader for raw/undecoded images.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MIME_EMF` MIME type for EMF (Windows Enhanced Metafile)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageLoaderFactoryRaw()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getMimeForRawFlavor(ImageFlavor flavor)` Returns the MIME type for a given ImageFlavor if it is from a format that is consumed without being undecoded.
    `ImageFlavor[]` | `getSupportedFlavors(java.lang.String mime)` Returns an array of ImageFlavors that are supported by this implementation for a given MIME type.
    `java.lang.String[]` | `getSupportedMIMETypes()` Returns an array of MIME types supported by this implementation.
    `boolean` | `isAvailable()` Indicates whether the underlying libraries needed by the implementation are available.
    `ImageLoader` | `newImageLoader(ImageFlavor targetFlavor)` Creates and returns a new ImageLoader instance.

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory

      `getUsagePenalty, isSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MIME_EMF

          public static final java.lang.String MIME_EMF

      MIME type for EMF (Windows Enhanced Metafile)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ImageLoaderFactoryRaw

          public ImageLoaderFactoryRaw()

  - ### Method Detail

    - #### getMimeForRawFlavor

          public static java.lang.String getMimeForRawFlavor(ImageFlavor flavor)

      Returns the MIME type for a given ImageFlavor if it is from a format that is consumed without being undecoded. If the ImageFlavor is no raw flavor, an IllegalArgumentException is thrown.
      Parameters:
        `flavor` - the image flavor
      Returns:
        the associated MIME type

    - #### getSupportedMIMETypes

          public java.lang.String[] getSupportedMIMETypes()

      Returns an array of MIME types supported by this implementation.
      Returns:
        the MIME type array

    - #### getSupportedFlavors

          public ImageFlavor[] getSupportedFlavors(java.lang.String mime)

      Returns an array of ImageFlavors that are supported by this implementation for a given MIME type.
      Parameters:
        `mime` - the MIME type
      Returns:
        the ImageFlavor array

    - #### newImageLoader

          public ImageLoader newImageLoader(ImageFlavor targetFlavor)

      Creates and returns a new ImageLoader instance.
      Parameters:
        `targetFlavor` - the target image flavor to produce
      Returns:
        a new ImageLoader instance

    - #### isAvailable

          public boolean isAvailable()

      Indicates whether the underlying libraries needed by the implementation are available.
      Returns:
        true if the implementation is functional.